unit uTSearchEngineProviderListItem;

interface

uses
 uSearchEngineGlobal;

type
 // TSearchEngineProviderListItem
 TSearchEngineProviderListItem = class
  ItemEnglishName: string;
  ItemGermanName: string;
  ItemIconIndex: integer;
  ItemSelected: boolean;
 public
  constructor Create(SearchEngineProvider : TSearchEngineProvider);
 end;

implementation

{ TSearchEngineListItem }

constructor TSearchEngineProviderListItem.Create(SearchEngineProvider : TSearchEngineProvider);
begin
 case SearchEngineProvider of
   sepNone:         begin
                     ItemEnglishName := '';
                     ItemGermanName := '';
                     ItemIconIndex := -1;
                    end;
   sepGoogle:       begin
                     ItemEnglishName := 'Google';
                     ItemGermanName := 'Google';
                     ItemIconIndex := 256;
                    end;
 end;
 ItemSelected := false;
end;

end.
