unit uTCountryListItem;

interface

type
 // TCountryListItemType
 TCountryListItemType = (clitNone, clitPlanet, clitContinent, clitSubContinent, clitCountry);

 // TCountryListItem
 TCountryListItem = class
  ItemEnglishRegionName: string;
  ItemGermanRegionName: string;
  ItemType: TCountryListItemType;
  ItemWorldCode: integer;
  ItemContinentCode: integer;
  ItemSubcontinentCode: integer;
  ItemCountryCode: integer;
  ItemTopLevelDomain: string;
  ItemISOAlpha2Code: string;
  ItemISOAlpha3Code: string;
  ItemIconIndex: integer;
  ItemSelected: boolean;
 public
  constructor Create;
 end;

implementation

{ TCountryListItem }

constructor TCountryListItem.Create;
begin
 ItemEnglishRegionName := '';
 ItemGermanRegionName := '';
 ItemType := clitNone;
 ItemWorldCode := -1;
 ItemContinentCode := -1;
 ItemSubcontinentCode := -1;
 ItemCountryCode := -1;
 ItemTopLevelDomain := '';
 ItemISOAlpha2Code := '';
 ItemISOAlpha3Code := '';
 ItemIconIndex := -1;
 ItemSelected := false;
end;

end.

